UNIQ(1)

BEZEICHNUNG
uniq - doppelte Zeilen berichten oder entfernen

ÜBERSICHT
uniq [OPTION]… [EINGABE [AUSGABE]]

BESCHREIBUNG

Benachbarte identische Zeilen aus EINGABE (oder der Standardeingabe) filtern, das Ergebnis in AUSGABE (oder die Standardausgabe) schreiben.

Ohne Optionen wird die erste von mehreren identischen Zeilen beibehalten.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --count
    Den Zeilen die Häufigkeit des Vorkommens voranstellen

-d, --repeated
    Nur mehrfach auftretende Zeilen ausgeben, eine für jede Gruppe

-D  Alle mehrfach vorkommenden Zeilen ausgeben

-D, --all-repeated[=METHODE]
    Wie -D, aber die Abtrennung von Gruppen mittels Leerzeile ist möglich; METHODE={none(Standard),prepend,separate}

-f, --skip-fields=N
    Die ersten N Felder nicht vergleichen

--group[=METHODE]
    Alle Einträge anzeigen, wobei Gruppen mit einer Leerzeile getrennt werden, METHODE={separate(default),prepend,append,both}

-i, --ignore-case
    Beim Vergleichen nicht auf Groß- und Kleinschreibung achten

-s, --skip-chars=N
    Die ersten N Zeichen nicht vergleichen

-u, --unique
    Nur einmal auftretende Zeilen ausgeben

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

-w, --check-chars=N
    Nicht mehr als N Zeichen pro Zeile vergleichen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Ein Feld ist eine Folge von Freiraum (gewöhnlich Leerzeichen oder Tabulatoren) gefolgt von anderen Zeichen. Felder werden vor Zeichen übersprungen.

Bemerkung: »Uniq« kann wiederholte Zeilen nicht erkennen, wenn sie nicht benachbart sind. Sie können die Eingabe vorher sortieren oder auch anstelle von »Uniq« gleich »sort -u« verwenden. Die Vergleiche folgen dabei den durch »LC_COLLATE« gegebenen Regeln.

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von uniq an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
comm(1), join(1), sort(1)

Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/uniq>
oder lokal verfügbar mit: info '(coreutils) uniq invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.